import { FRoot } from "./../../mixins/components/f-root/f-root";
export declare class FCarouselContent extends FRoot {
    /**
     * css loaded from scss file
     */
    static styles: import("lit").CSSResult[];
    /**
     * @attribute mandatory content-id to uniquely identify content
     */
    contentId: string;
    render(): import("lit-html").TemplateResult<1>;
}
/**
 * Required for typescript
 */
declare global {
    export interface HTMLElementTagNameMap {
        "f-carousel-content": FCarouselContent;
    }
}
